%define name which
%define version 2.12
%define prefix %{_prefix}
%define release 4mdk

Name: %{name}
Summary: Displays where a particular program in your path is located.
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System/Base
Source: ftp://ftp.gnu.org/gnu/which/%{name}-%{version}.tar.bz2
Patch: which-2.6.jbj.patch.bz2
Patch1: which-2.12-fixinfo.patch.bz2
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: automake
Prereq: /sbin/install-info

%description
The which command shows the full pathname of a specified program, if
the specified program is in your PATH.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

touch ChangeLog
automake --gnu -a -c
aclocal
autoheader
autoconf

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -rf %buildroot/%_infodir/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files
%defattr(-, root, root)
%doc README* AUTHORS COPYING EXAMPLES INSTALL NEWS
%doc tilde/ChangeLog tilde/README
%{_bindir}/which
%{_mandir}/man1/which.1.bz2
%{_infodir}/*

%changelog
* Sun Mar 04 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.12-4mdk
- Fix info files entry.
- Fix %files.

* Fri Feb 23 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.12-3mdk
- Whoops, info files were not getting installed

* Fri Feb 23 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.12-2mdk
- Change specfile permissions (rpmlint warning)
- List more docs in doc macro
- Generate automake and autoconf-derived files in prep stage

* Mon Nov 13 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.12-1mdk
- new and shiny vesion.

* Tue Aug 22 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.11-1mdk
- BM
- 2.11
- Even More Cleanup Of Specs :-)

* Tue Jun 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.9-5mdk
- Clean up specs.
- Use makeinstall macros.

* Wed Apr  5 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 2.9-4mdk
- new group System/Base
- updated BuildRoot

* Fri Nov 5 1999 Damien Krotkine <damien@mandrakesoft.com>
- Mandrake release

* Wed Aug 18 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- add defattr

* Sun Aug 08 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 2.8 :
	* aclocal.m4 was missing from the tar, resulting in
	  a build failure if autoconf isn't installed.


* Thu Jul 08 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Upgrade to the offical version of Gnu project.
- Rewriting the spec-files.
- 2.7 :
    * Support for aliases
    * Configure/compile fix in the `tilde' directory.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale
- handle RPM_OPT_FLAGS
- Makefiles and source code are NOT docs.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Jun 13 1997 Erik Troan <ewt@redhat.com>
- built against glibc
